gedit-plugin-devhelp-3.26.1-lp151.3.5.x86_64.rpm


Advertisement

Description

gedit-plugin-devhelp - Devhelp plugin for Gedit

Property Value
Distribution openSUSE Leap 15.1
Repository openSUSE Oss all
Package filename gedit-plugin-devhelp-3.26.1-lp151.3.5.x86_64.rpm
Package name gedit-plugin-devhelp
Package version 3.26.1
Package release lp151.3.5
Package architecture x86_64
Package type rpm
Category Development/Tools/Other
Homepage https://live.gnome.org/devhelp
License GPL-2.0+
Maintainer -
Download size 18.19 KB
Installed size 9.57 KB
Devhelp is an API documentation browser for GTK+ and GNOME.

Alternatives

Package Version Architecture Repository
gedit-plugin-devhelp - - -

Requires

Name Value
gedit -
typelib(GObject) -
typelib(Gedit) -
typelib(Gio) -
typelib(Gtk) -

Provides

Name Value
gedit-plugin-devhelp = 3.26.1-lp151.3.5
gedit-plugin-devhelp(x86-64) = 3.26.1-lp151.3.5

Download

Type URL
Mirror widehat.opensuse.org
Binary Package gedit-plugin-devhelp-3.26.1-lp151.3.5.x86_64.rpm
Source Package devhelp-3.26.1-lp151.3.5.src.rpm

Install Howto

Install gedit-plugin-devhelp rpm package:

# zypper install gedit-plugin-devhelp

Files

Path
/usr/lib64/gedit/plugins/devhelp.plugin
/usr/lib64/gedit/plugins/devhelp.py
/usr/lib64/gedit/plugins/__pycache__/devhelp.cpython-36.opt-1.pyc
/usr/lib64/gedit/plugins/__pycache__/devhelp.cpython-36.pyc

Changelog

2018-03-22 - dimstar@opensuse.org
- Unconditionally enable translation-update-upstream: on
Tumbleweed, this results in a NOP and for Leap in SLE paid
translations being used (boo#1086036).
2017-12-09 - zaitor@opensuse.org
- Update to version 3.26.1:
+ Move New Tab button on the right side of the headerbar.
+ Updated translations.
- Drop obsolete post(un) handling of:
glib2_gsettings_schema_post(un), desktop_database_post(un) and
icon_theme_cache_post(un), file-triggers takes care of this now.
2017-09-10 - dimstar@opensuse.org
- Update to version 3.26.0:
+ Updated translations.
2017-09-08 - jengelh@inai.de
- Update package summaries and RPM category.
Replace old RPM macros by new constructs.
Avoid running fdupes across hardlink boundaries.
2017-08-22 - zaitor@opensuse.org
- Update to version 3.25.91:
+ Bump Libtool version.
+ Bugs fixed: bgo#786008.
+ Updated translations.
2017-08-07 - zaitor@opensuse.org
- Update to version 3.25.2:
+ Move New Tab action as a button in the headerbar (it's no
longer in the hamburger menu).
+ Refactorings in DhLink.
+ Rename dh_free_resources() to dh_finalize().
+ Bugs fixed: bgo#721082, bgo#779386, bgo#783964.
+ Updated translations.
2017-05-23 - zaitor@opensuse.org
- Update to version 3.25.1:
+ Book tree in the side panel: add context menu with Collapse All
action.
+ Update GUI when system fonts change.
+ Lots of code clean-up and refactorings.
+ Clean up the GSettings schema.
+ Use GIO to load the index files.
+ Several bug fixes in the parser.
+ Build system:
- Disable -Werror by default.
- Use git.mk.
- Check for gsettings-desktop-schemas with pkg-config.
+ API:
- There has been some API breaks documented in the reference
manual, but both Anjuta and gnome-builder should still
compile and work fine.
- Several fixes in the GTK-Doc comments and GObject
Introspection annotations.
- Improve documentation, write class descriptions for public
classes.
- DhBookManager is now a singleton.
- Deprecate dh_link_get_page_name().
- dh_init() now initializes the i18n.
- New function: dh_free_resources().
+ Bugs fixed: bgo#761292, bgo#775175, bgo#776596, bgo#782511.
+ Updated translations.
- Add pkgconfig(gsettings-desktop-schemas) BuildRequires: New
dependency.
- Conditionally apply translations-update-upstream BuildRequires
and macro for non-openSUSE only.
2017-03-19 - dimstar@opensuse.org
- Update to version 3.24.0:
+ Updated translations.
2017-03-12 - dimstar@opensuse.org
- Update to version 3.23.92:
+ devhelp 3.23.91 fails to build because of -Werror (bgo#779378).
+ Add Flatpak build manifest (bgo#779563).
+ Updated translations.
- Stop passing disable-Werror to configure: no longer needed since
upstream fixed the issues.
2017-02-26 - dimstar@opensuse.org
- Update to version 3.23.91:
+ bgo#763518: Add sidebar toggler to the menu.
+ bgo#770785: Add GTK-Doc API reference and GObject Introspection
support.
+ bgo#771503: fix warning in finalize of sidebar.
+ bgo#773900: Small build system update.
+ bgo#774069: unable to build devhelp by jhbuild.
+ bgo#775261: Make DhLanguage a GObject subclass.
+ Updated translations.
- Add gobject-introspection-devel BuildRequires: new dependency.
- Replace gtk3-devel BuildRequires with pkgconfig(gtk+-3.0):
matching what configure looks for.
- Add pkgconfig(gio-2.0) BuildRequires: not a new dependency, but
explicitly list what configure checks for.
- Pass --disable-Werror to configure: devhelp for now makes use of
some deprecated glib functions. Having -Werror in place causes
them to be failures.
- Split out new typelib-1_0-Devhelp-3_0 subpackage, containging the
new gi-based typelib. Required by the -devel package.

See Also

Package Description
gedit-plugin-drawspaces-3.28.1-lp151.2.2.x86_64.rpm Gedit drawspaces plugin
gedit-plugin-findinfiles-3.28.1-lp151.2.2.x86_64.rpm Gedit Find In Files plugin
gedit-plugin-git-3.28.1-lp151.2.2.x86_64.rpm Gedit git plugin
gedit-plugin-joinlines-3.28.1-lp151.2.2.x86_64.rpm Gedit joinlines plugin
gedit-plugin-latex-3.20.0-lp151.2.1.x86_64.rpm GEdit Plugin for Editing LaTeX Documents
gedit-plugin-multiedit-3.28.1-lp151.2.2.x86_64.rpm Gedit multiedit plugin
gedit-plugin-smartspaces-3.28.1-lp151.2.2.x86_64.rpm Gedit smartspaces plugin
gedit-plugin-synctex-3.28.1-lp151.2.2.x86_64.rpm Gedit synctex plugin
gedit-plugin-terminal-3.28.1-lp151.2.2.x86_64.rpm Gedit terminal plugin
gedit-plugin-textsize-3.28.1-lp151.2.2.x86_64.rpm Gedit textsize plugin
gedit-plugin-translate-3.28.1-lp151.2.2.x86_64.rpm Gedit translate plugin
gedit-plugin-wordcompletion-3.28.1-lp151.2.2.x86_64.rpm Gedit wordcompletion plugin
gedit-plugin-zeitgeist-3.28.1-lp151.2.2.x86_64.rpm Zeitgeist dataprovider for gedit
gedit-plugins-3.28.1-lp151.2.2.x86_64.rpm A collection of plugins for gedit
gedit-plugins-data-3.28.1-lp151.2.2.x86_64.rpm Common data required by gedit plugins
Advertisement
Advertisement